<?php
namespace Claromentis\Core\DocumentConverter;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_20b3ce3ff928713" . "aae2421713e60898" . "a" => base64_decode("YWRtaW4uZG9jdW1lbnRfY29udmVydGVyLmVycm9yLmNvdWxkX25vdF9jb" . "25uZWN0"), "_31767d7ad58e706db" . "f47b7a51a0fe6c4" => base64_decode("Y291" . "bnQ="), "_946c6fe2025cf6826" . "30afe8f8cdf5861" => base64_decode("Y29tbW9uLmRvY3V" . "tZW50X2NvbnZlcn" . "Rlci51bmtub3duX" . "2Vycm9y"), "_0c5123aa744f69bbc0e" . "8b3ea2f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_b0e753de" . "b9741c6e9" . "b3d17cac4" . "7b5dc5" => base64_decode("Tm8gYXZhaWxhYmxlIERvY3Vt" . "ZW50IENvbnZlcnRlcnMgdG8g" . "dXNlLg=="), "_ba3845cb79c005cf3269af8c" . "83ddbe5e" => base64_decode("ZXJ" . "yb3" . "I="), "_2351a63ea5f1aa926b0753" . "b192e8d841" => base64_decode("RmFpbGVkIHRvIGNvbnZlcn" . "Qg"), "_a7a98b53d82ba82123bc4" . "047484cd742" => base64_decode("Y29tbW9uLmRvY3VtZW" . "50X2NvbnZlcnRlci5u" . "b19jb252ZXJ0ZXJz"), "_5e905cea5856ef40d35e" . "a1edaf185d1b" => base64_decode("IHV" . "zaW" . "5nI" . "A=="), "_b8323c396da910cd" . "2da11d4d0985e9c5" => base64_decode("aXNfcnVubmluZw=" . "="), "_77317902a2c903eaeed66f6" . "a366de08b" => base64_decode("ZXhjZX" . "B0aW9u" . "X21lc3" . "NhZ2U="), "_6dc023075e7b7a10fcc37e2d1b" . "691033" => base64_decode("IHR" . "vIA" . "=="));
use Claromentis\Core\DocumentConverter\Converters\DocumentConverterInterface;
use Claromentis\Core\DocumentConverter\Exceptions\DocumentConverterException;
use Exception;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Webmozart\Assert\Assert;









class DocumentConverterService
{
    
    
    
    
    
    
    private $document_converters;
    
    
    
    
    
    
    private LoggerInterface $logger;
    
    
    
    
    
    
    
    public function __construct(array $_c347105b86cd04864c78a4febd95a6f0, ?LoggerInterface $logger)
    {
        foreach ($_c347105b86cd04864c78a4febd95a6f0 as $document_converter) {
            Assert::isInstanceOf($document_converter, DocumentConverterInterface::class);
        }
        $this->document_converters = $_c347105b86cd04864c78a4febd95a6f0;
        $this->logger = $logger ?? new NullLogger();
        if (empty($this->document_converters)) {
            $this->logger->warning($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_b0e753deb97" . "41c6e9b3d17c" . "ac47b5dc5"]);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    public function Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860)
    {
        foreach ($this->document_converters as $_02ad4799244951c2d809ee37be9e79fd => $document_converter) {
            try {
                $document_converter->Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860);
                return;
            } catch (Exception $_fe441aa3ef350bfb1a1a1ad8520dd530) {
                
                
                if ($_02ad4799244951c2d809ee37be9e79fd === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_31767d7ad58e706d" . "bf47b7a51a0fe6c4"]($this->document_converters) - 1) {
                    if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof DocumentConverterException) {
                        throw new Exception($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage());
                    } else {
                        throw new Exception($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744f69bbc0e8b3" . "ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_946c6fe2025cf682630af" . "e8f8cdf5861"]));
                    }
                }
                $this->logger->error($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2351a63ea5f1aa926b0753b19" . "2e8d841"] . $_6d9f48827153c22baa0cc670b103158e . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_6dc023075" . "e7b7a10fcc" . "37e2d1b691" . "033"] . $_d1625ea25fb8b4afdb15b0570f6ab860 . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_5e905cea5856ef" . "40d35ea1edaf185" . "d1b"] . $document_converter->GetName(), [$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_77317902a2c903eaeed66f6a366de08" . "b"] => $_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage()]);
            }
        }
        throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_a7a98b53d82ba82123bc4047484c" . "d742"]));
    }
    
    
    
    
    
    
    public function GetStatus()
    {
        $_2a85611c78080ebe98afdb51c3d4ea92 = [];
        foreach ($this->document_converters as $document_converter) {
            $_b8323c396da910cd2da11d4d0985e9c5 = $document_converter->IsRunning();
            $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()] = [$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b8323c396da910cd2da11d" . "4d0985e9c5"] => $_b8323c396da910cd2da11d4d0985e9c5];
            if (!$_b8323c396da910cd2da11d4d0985e9c5) {
                $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()][$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_ba3845cb79c005cf" . "3269af8c83ddbe5e"]] = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_20b3ce3ff928713a" . "ae2421713e60898a"], $document_converter->GetHost(), $document_converter->GetPort());
            }
        }
        return $_2a85611c78080ebe98afdb51c3d4ea92;
    }
    
    
    
    
    
    
    public function IsRunning()
    {
        foreach ($this->document_converters as $document_converter) {
            if ($document_converter->IsRunning()) {
                return true;
            }
        }
        return false;
    }
}